package com.tykj.dev.device.destroy.service;


import com.tykj.dev.device.destroy.entity.domain.DeviceDestroyBill;
import com.tykj.dev.device.destroy.entity.vo.DeviceDestroyBillSelectVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.text.ParseException;

/**
 * @author dengdiyi
 */
public interface DeviceDestroyBillService {

    DeviceDestroyBill addEntity(DeviceDestroyBill deviceDestoryBillEntity);

    Page<DeviceDestroyBill> getPage(DeviceDestroyBillSelectVo deviceDestoryBillSelectVo, Pageable pageable);

    DeviceDestroyBill getOne(Integer id);

    DeviceDestroyBill updateEntity(DeviceDestroyBill deviceDestoryBillEntity);

    void delete(Integer id);

    Integer getNewDocNumber() throws ParseException;
}
